Page 1 of 1

Installation of RHEL 4.7 with RAID controller

Posted: Tue May 05, 2009 5:02 pm
by smartyshan
Hi All,
I want to Install RHEL 4.7 64 bit on one my server (Supermicro Super Server) having RAID controller
1. Intel
2. Adaptec
We are using Adaptec.
We are using RAID 1 with 2x320GB Hard disks
POINT: If we Install RHEL 5.3 it recognize RAID controller and show single Logical volume of 298 GB, Means working fine but when we try to install RHEL 4.7 it shows two hard disks of 298GB and 298GB,meanz its unable to recognize RAID controller.

So, the issue is Driver of it, CD which we got from super micro having driver for RHEL 4 to RHEL 4 update 6
We are making our DR site and its necessary for us to Install RHEL4.7 to make it identical.

I searched a lot and spent more than three days on it continuously, And still unable to find the solution.
As a PAKISTANI it’s not good for in RIYADH…

Is there any buddy to guide me in this regard…

Thanks in Anticipation

Posted: Tue May 05, 2009 7:57 pm
by lambda
do you need help finding a driver for 4.7? if so, provide more details about the raid controller, and information about it on supermicro's site. adaptec sells lots of different hardware raid systems; which one do you have?

did you try using the 4.6 driver on 4.7?

Posted: Wed May 06, 2009 5:59 pm
by smartyshan
lambda wrote:do you need help finding a driver for 4.7? if so, provide more details about the raid controller, and information about it on supermicro's site. adaptec sells lots of different hardware raid systems; which one do you have?

did you try using the 4.6 driver on 4.7?


Yes I have to Install RHEL 4.7 64 bit and needs its Driver...

I am using Adaptec ESB2 SATA RAID controller
and yes I tried 4.6's driver for 4.7 but it didn't work.
BTW you can find Adaptec drivers on Supermicro's site, i.e.

ftp://ftp.supermicro.com/driver/SATA/Adaptec_ESB2/Linux/



Kindly advise me if I install RHEL 4.6 and upgrade it to RHEL 4.7, will it work? and if YES then what should be the steps and procedure I have to follow for it?

Because I installed RHEL 4.6 with it's driver and its working fine for me.